=== debian/changelog ===
seqan (1.4.2+dfsg-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2018 12:21:54 +0200

seqan (1.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Declare Conflicts: with libseqan2-dev (API incompatible)
    See https://github.com/seqan/seqan/issues/1820 for upstream discussion.
    Addresses #838340.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 23 Sep 2016 14:20:09 +0000

seqan (1.4.2+dfsg-1) unstable; urgency=medium

  [Andreas Tille] 
  * New upstream version
    Closes: #766741
  * Moved packaging to Git
  * Adapt watch file to fetch only seqan 1.x series
  * Update list of uploaders
  * Add compression option to watch file
  * Remove extras and core/apps from upstream source since these will be taken
    from seqan2 series (when doing so remove other unneeded stuff and binary
    files)
  * Add README.source to explain removals
  * Moved debian/upstream to debian/upstream/metadata
  * Drop documentation since developers should rather use seqan2
    Closes: #816988, #809058
  * Install cmake files
    Closes: #818088
 
  [Gert Wollny]
  * d/rules: Add -DNDEBUG to CXXFLAGS, Closes: #811841 
  * d/rules: enable parallel build

 -- Andreas Tille <tille@debian.org>  Tue, 02 Aug 2016 15:58:06 +0200
