=== debian/control ===
Source: seqan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@ucdavis.edu>,
           Kevin Murray <spam@kdmurray.id.au>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               zlib1g-dev,
               libbam-dev,
               libboost-dev,
               dh-exec,
               help2man,
               python
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/seqan
Vcs-Git: https://salsa.debian.org/med-team/seqan.git
Homepage: http://www.seqan.de/

Package: seqan-dev
Architecture: all
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libseqan2-dev
Description: C++ library for the analysis of biological sequences (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files, documentation and examples.
