=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://packages.seqan.de/ .*/seqan-src-(1[.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
